<?php get_header(); ?> 
<?php 

$product_data    = wc_get_product( get_field('competition') );
$lottery_history = apply_filters( 'woocommerce__lottery_history_data', $product_data->lottery_history() );


?>


<main id="page-content" class="l-main">
	<section class="l-section wpb_row height_medium">
		<div class="l-section-h i-cf">
			<div class="list-content"> 
				<h1><?php echo $product_data->get_title(); ?></h1>

				<?php if(get_field('winner_text')): ?>
					<p class="winnter-text"><?php echo get_field('winner_text'); ?></p>
				<?php endif; ?>
			</div>

			<table class="lottery-table" id="ticket-datatable">
				<thead>
					<tr> 
						<th>Name</th> 
						<th>Purchase Date</th> 
						<th class="numbers">Ticket</th>  
					</tr>
				</thead>
				<tbody>
					<?php
						if ( $lottery_history ) :
							foreach ( $lottery_history as $history_value ): 

								$order = wc_get_order( $history_value->orderid );
								$user_data = get_userdata( $history_value->userid ); ?>
 
								
								<tr>
									<td class='firstname'> 
										<?php if($order): ?>
											<?php  echo $order->get_billing_first_name();?> <?php echo substr($order->get_billing_last_name(), 0, 1); ?>
										<?php endif; ?>
									</td> 
									<td class="date"><?php echo date_i18n( 'F jS', strtotime( $history_value->date )); ?></td>
									<td class='ticket_number'><?php echo apply_filters( 'ticket_number_display_html' ,$history_value->ticket_number, $product_data);?></td> 
								</tr>

							<?php endforeach;
						endif;
					?>  
				</tbody>
			</table> 
		</div> 
	</section>
</main>
<script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>

 
<?php get_footer(); ?> 
