<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://competition.demo.getfoundni.co.uk
 * @since      1.0.0
 *
 * @package    Gfni_Competition_Lists
 * @subpackage Gfni_Competition_Lists/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Gfni_Competition_Lists
 * @subpackage Gfni_Competition_Lists/includes
 * @author     Ryan Hull <ryan@getfoundni.co.uk>
 */
class Gfni_Competition_Lists_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		$page = get_page_by_path( 'competition-ticket-lists' );
		wp_delete_post($page->ID);
	}

}
