<?php get_header(); ?>
<main id="page-content" class="l-main">
	<section class="l-section wpb_row height_medium">
		<div class="l-section-h i-cf">
			<h1><?php global $post; echo $post->post_title; ?></h1>
			<div class="tickets">
				<?php 
					$args = array(  
						'post_type' => 'ticket-lists',
						'post_status' => 'publish',
						'posts_per_page' => -1,  
					);
				
					$loop = new WP_Query( $args );  

					foreach($loop->get_posts() as $post): 
						if(! $product_data = wc_get_product( get_field('competition') )){
							continue;
						}
						$image_id  = $product_data->get_image_id();
						$image_url = wp_get_attachment_image_url( $image_id, 'full' );	
					?> 
						<div class="list">   
							<div class="borderlist">
								<div class="img-16-9">
									<a href="<?php the_permalink(); ?>">
										<img src="<?php echo $image_url; ?>" alt="<?php echo $post->post_title ?>">
									</a>
								</div>							
								<div>
									<h3><?php echo $post->post_title ?></h3>
									<?php if(get_field('draw_date')): ?>
										<div class="draw-date">
											<span>Draw Date: <?php echo get_field('draw_date');?></span>											
										</div>
									<?php endif; ?>
									<div class="woocommerce">
										<a href="<?php the_permalink(); ?>" class="button alt">
											 View List
										</a>
									</div> 
								</div>
							</div>

						</div>

					<?php endforeach; ?> 
			</div>
		</div>
	</section>
</main>
<?php get_footer();
